> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enrichment.qode.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile by username



## OpenAPI

````yaml api-reference/specs/enrichment.yaml get /consumers/{consumer}/profiles/{username}
openapi: 3.1.0
info:
  title: LinkedIn Profile API
  version: 1.0.0
  description: API to fetch LinkedIn profile information by username
servers:
  - url: https://enrichment.qode.world/api/v1
security: []
paths:
  /consumers/{consumer}/profiles/{username}:
    get:
      summary: Get Profile by username
      parameters:
        - name: username
          in: path
          required: true
          schema:
            type: string
          description: The username of the profile
        - name: consumer
          in: path
          required: true
          schema:
            type: string
          description: The consumer value along with the API KEY
        - name: apikey
          in: header
          required: true
          schema:
            type: string
          description: API key for authentication
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Profile'
        '401':
          description: Unauthorized
        '404':
          description: Incorrect API endpoint
components:
  schemas:
    Profile:
      type: object
      properties:
        firstName:
          type: string
        lastName:
          type: string
        isOpenToWork:
          type: boolean
        isHiring:
          type: boolean
        profilePicture:
          type: string
          format: uri
        summary:
          type: string
        headline:
          type: string
        geo:
          $ref: '#/components/schemas/Geo'
        educations:
          type: array
          items:
            $ref: '#/components/schemas/Education'
        position:
          type: array
          items:
            $ref: '#/components/schemas/Position'
        skills:
          type: array
          items:
            $ref: '#/components/schemas/Skill'
        certifications:
          type: array
          items:
            $ref: '#/components/schemas/Certification'
        publicIdentifier:
          type: string
        profileUrn:
          type: string
        languages:
          oneOf:
            - type: string
            - type: object
      required:
        - firstName
        - lastName
    Geo:
      type: object
      properties:
        country:
          type: string
        city:
          type: string
        full:
          type: string
    Education:
      type: object
      properties:
        start:
          $ref: '#/components/schemas/DateRange'
        end:
          $ref: '#/components/schemas/DateRange'
        fieldOfStudy:
          type: string
        degree:
          type: string
        grade:
          type: string
        schoolName:
          type: string
        description:
          type: string
        activities:
          type: string
    Position:
      type: object
      properties:
        companyName:
          type: string
        companyUsername:
          type: string
        companyURL:
          type: string
          format: uri
        companyIndustry:
          type: string
        companyStaffCountRange:
          type: string
        title:
          type: string
        location:
          type: string
        description:
          type: string
        employmentType:
          type: string
        start:
          $ref: '#/components/schemas/DateRange'
        end:
          $ref: '#/components/schemas/DateRange'
    Skill:
      type: object
      properties:
        name:
          type: string
    Certification:
      type: object
      properties:
        name:
          type: string
        start:
          $ref: '#/components/schemas/DateRange'
        end:
          $ref: '#/components/schemas/DateRange'
        authority:
          type: string
        company:
          $ref: '#/components/schemas/Company'
    DateRange:
      type: object
      properties:
        year:
          type: integer
        month:
          type: integer
        day:
          type: integer
    Company:
      type: object
      properties:
        name:
          type: string
        universalName:
          type: string
        logo:
          type: string
          format: uri

````